package com.eactive.eai.agent.adapter.socket;

import java.io.Serializable;

public class SocketServerVO implements Serializable {
    /**
	 * 
	 */
	private static final long serialVersionUID = 1L;

    private String serverName;         //서버명
    private String bjobBzwkDstcd;      //작업업무구분코드
    private String osidInstiDstCd;     //대외기관구분코드
    private String osidInstiName;      //대외기관명
    private String adptrBzwkGroupName; //어댑터업무그룹명
    private String adptrBzwkName;      //어댑터업무명
    private String ip;                 //아이피
    private String port;               //포트
    private String status;             //상태
	private int    maxConnectionCount;
	private int    curConnectionCount;
	public String getServerName() {
		return serverName;
	}
	public void setServerName(String serverName) {
		this.serverName = serverName;
	}
	public String getBjobBzwkDstcd() {
		return bjobBzwkDstcd;
	}
	public void setBjobBzwkDstcd(String bjobBzwkDstcd) {
		this.bjobBzwkDstcd = bjobBzwkDstcd;
	}
	public String getOsidInstiDstCd() {
		return osidInstiDstCd;
	}
	public void setOsidInstiDstCd(String osidInstiDstCd) {
		this.osidInstiDstCd = osidInstiDstCd;
	}
	public String getOsidInstiName() {
		return osidInstiName;
	}
	public void setOsidInstiName(String osidInstiName) {
		this.osidInstiName = osidInstiName;
	}
	public String getAdptrBzwkGroupName() {
		return adptrBzwkGroupName;
	}
	public void setAdptrBzwkGroupName(String adptrBzwkGroupName) {
		this.adptrBzwkGroupName = adptrBzwkGroupName;
	}
	public String getAdptrBzwkName() {
		return adptrBzwkName;
	}
	public void setAdptrBzwkName(String adptrBzwkName) {
		this.adptrBzwkName = adptrBzwkName;
	}
	public String getIp() {
		return ip;
	}
	public void setIp(String ip) {
		this.ip = ip;
	}
	public String getPort() {
		return port;
	}
	public void setPort(String port) {
		this.port = port;
	}
	public String getStatus() {
		return status;
	}
	public void setStatus(String status) {
		this.status = status;
	}
	public int getMaxConnectionCount() {
		return maxConnectionCount;
	}
	public void setMaxConnectionCount(int maxConnectionCount) {
		this.maxConnectionCount = maxConnectionCount;
	}
	public int getCurConnectionCount() {
		return curConnectionCount;
	}
	public void setCurConnectionCount(int curConnectionCount) {
		this.curConnectionCount = curConnectionCount;
	}
	@Override
	public String toString() {
		return "SocketServerVO [serverName=" + serverName + ", bjobBzwkDstcd="
				+ bjobBzwkDstcd + ", osidInstiDstCd=" + osidInstiDstCd
				+ ", osidInstiName=" + osidInstiName + ", adptrBzwkGroupName="
				+ adptrBzwkGroupName + ", adptrBzwkName=" + adptrBzwkName
				+ ", ip=" + ip + ", port=" + port + ", status=" + status
				+ ", maxConnectionCount=" + maxConnectionCount
				+ ", curConnectionCount=" + curConnectionCount + "]";
	}

}
